Compare commits

...

20 Commits

Author SHA1 Message Date
Simon L
5e6e433cd2 Merge pull request #2131 from nextcloud/enh/noid/revert-talk-apache
revert "Talk - Apache seemingly needs to be whitelisted as well"
2023-03-09 18:57:31 +01:00
Simon L
86b6d92761 revert "Talk - Apache seemingly needs to be whitelisted as well"
Signed-off-by: Simon L <szaimen@e.mail.de>
2023-03-09 18:55:53 +01:00
Simon L
a97af08bb8 talk - wait for nextcloud-aio-apache to be started
Signed-off-by: Simon L <szaimen@e.mail.de>
2023-03-09 18:25:05 +01:00
Simon L
264980df57 increase to 4.6.2
Signed-off-by: Simon L <szaimen@e.mail.de>
2023-03-09 18:05:54 +01:00
Simon L
e94f63bd26 Merge pull request #2127 from nextcloud/enh/noid/add-reasons
add reasons why changing volume and container name is not supported
2023-03-09 18:04:14 +01:00
Simon L
4689e402f8 Merge pull request #2128 from nextcloud/enh/noid/talk-whitelist-apache
Talk - Apache seemingly needs to be whitelisted as well
2023-03-09 18:03:15 +01:00
Simon L
ba760b060e Merge pull request #2129 from nextcloud/enh/noid/collabora-mount_jail_tree
collabora - add mount_jail_tree=false
2023-03-09 18:02:17 +01:00
Simon L
4800888da6 collabora - add mount_jail_tree=false
Signed-off-by: Simon L <szaimen@e.mail.de>
2023-03-09 17:55:48 +01:00
Simon L
8539b25278 Talk - Apache seemingly needs to be whitelisted as well
Signed-off-by: Simon L <szaimen@e.mail.de>
2023-03-09 17:08:21 +01:00
Simon L
5ddf989703 add reasons why changing volume and container name is not supported
Signed-off-by: Simon L <szaimen@e.mail.de>
2023-03-09 16:23:31 +01:00
Simon L
90c2328400 increase to 4.6.1
Signed-off-by: Simon L <szaimen@e.mail.de>
2023-03-08 14:54:23 +01:00
Simon L
f5ee38247c Merge pull request #2122 from nextcloud/enh/noid/fix-borg-globbing
borg script - disable globbing
2023-03-08 14:53:33 +01:00
Simon L
f51029270b Merge pull request #2123 from nextcloud/enh/noid/imaginary-prevent-memory-issues
imaginary - try to prevent possible memory issues
2023-03-08 14:52:59 +01:00
Simon L
d27aa357db Merge pull request #2125 from nextcloud/dependabot/docker/Containers/apache/httpd-2.4.56-alpine3.17
Bump httpd from 2.4.55-alpine3.17 to 2.4.56-alpine3.17 in /Containers/apache
2023-03-08 14:09:07 +01:00
dependabot[bot]
4b3e192ee6 Bump httpd in /Containers/apache
Bumps httpd from 2.4.55-alpine3.17 to 2.4.56-alpine3.17.

---
updated-dependencies:
- dependency-name: httpd
  dependency-type: direct:production
  update-type: version-update:semver-patch
...

Signed-off-by: dependabot[bot] <support@github.com>
2023-03-08 13:00:51 +00:00
Simon L
d974023c8d imaginary - try to prevent possible memory issues
Signed-off-by: Simon L <szaimen@e.mail.de>
2023-03-08 11:08:03 +01:00
Simon L
204aa5649c fix typo
Signed-off-by: Simon L <szaimen@e.mail.de>
2023-03-08 00:12:54 +01:00
Simon L
8cd5f604c4 Nextcloud_mount is actually supported on windows now
Signed-off-by: Simon L <szaimen@e.mail.de>
2023-03-07 23:26:42 +01:00
Simon L
fdb0330959 add an example for NEXTCLOUD_MOUNT on macOS
Signed-off-by: Simon L <szaimen@e.mail.de>
2023-03-07 23:16:17 +01:00
Simon L
4f5062080b borg script - disable globbing
Signed-off-by: Simon L <szaimen@e.mail.de>
2023-03-07 23:15:15 +01:00
8 changed files with 23 additions and 19 deletions

View File

@@ -1,7 +1,7 @@
# Caddy is a requirement
FROM caddy:2.6.4-alpine as caddy
FROM httpd:2.4.55-alpine3.17
FROM httpd:2.4.56-alpine3.17
RUN set -ex; \
apk add --no-cache shadow; \

View File

@@ -130,7 +130,7 @@ if [ "$BORG_MODE" = backup ]; then
BORG_OPTS=(-v --stats --compression "auto,zstd" --exclude-caches --checkpoint-interval 86400)
# Exclude the nextcloud log and audit log for GDPR reasons
BORG_EXCLUDE=(--exclude "/nextcloud_aio_volumes/nextcloud_aio_nextcloud/data/nextcloud.log"* --exclude "/nextcloud_aio_volumes/nextcloud_aio_nextcloud/data/audit.log")
BORG_EXCLUDE=(--exclude "/nextcloud_aio_volumes/nextcloud_aio_nextcloud/data/nextcloud.log*" --exclude "/nextcloud_aio_volumes/nextcloud_aio_nextcloud/data/audit.log")
# Create the backup
echo "Starting the backup..."
@@ -267,15 +267,15 @@ if [ "$BORG_MODE" = restore ]; then
# Restore everything except the configuration file
if ! rsync --stats --archive --human-readable -vv --delete \
--exclude "nextcloud_aio_apache/caddy/"** \
--exclude "nextcloud_aio_mastercontainer/caddy/"** \
--exclude "nextcloud_aio_nextcloud/data/nextcloud.log"* \
--exclude "nextcloud_aio_apache/caddy/**" \
--exclude "nextcloud_aio_mastercontainer/caddy/**" \
--exclude "nextcloud_aio_nextcloud/data/nextcloud.log*" \
--exclude "nextcloud_aio_nextcloud/data/audit.log" \
--exclude "nextcloud_aio_mastercontainer/certs/"** \
--exclude "nextcloud_aio_mastercontainer/certs/**" \
--exclude "nextcloud_aio_mastercontainer/data/configuration.json" \
--exclude "nextcloud_aio_mastercontainer/data/daily_backup_running" \
--exclude "nextcloud_aio_mastercontainer/data/session_date_file" \
--exclude "nextcloud_aio_mastercontainer/session/"** \
--exclude "nextcloud_aio_mastercontainer/session/**" \
/tmp/borg/nextcloud_aio_volumes/ /nextcloud_aio_volumes; then
RESTORE_FAILED=1
echo "Something failed while restoring from backup."

View File

@@ -24,3 +24,6 @@ ENTRYPOINT ["/usr/local/bin/imaginary", "-return-size", "-max-allowed-resolution
HEALTHCHECK CMD nc -z localhost 9000 || exit 1
LABEL com.centurylinklabs.watchtower.monitor-only="true"
# https://github.com/h2non/imaginary#memory-issues
ENV MALLOC_ARENA_MAX=2

View File

@@ -78,16 +78,16 @@ fi
# Check if startup command was executed correctly
if ! sudo -u www-data docker ps --format "{{.Names}}" | grep -q "^nextcloud-aio-mastercontainer$"; then
echo "It seems like you did not give the mastercontainer the correct name?
Using a different name is not supported!"
echo "It seems like you did not give the mastercontainer the correct name? (The 'nextcloud-aio-mastercontainer' container was not found.)
Using a different name is not supported since mastercontainer updates will not work in that case!"
exit 1
elif ! sudo -u www-data docker volume ls --format "{{.Name}}" | grep -q "^nextcloud_aio_mastercontainer$"; then
echo "It seems like you did not give the mastercontainer volume the correct name?
Using a different name is not supported!"
echo "It seems like you did not give the mastercontainer volume the correct name? (The 'nextcloud_aio_mastercontainer' volume was not found.)
Using a different name is not supported since the built-in backup solution will not work in that case!"
exit 1
elif ! sudo -u www-data docker inspect nextcloud-aio-mastercontainer | grep -q "nextcloud_aio_mastercontainer"; then
echo "It seems like you did not attach the nextcloud_aio_mastercontainer volume to the mastercontainer?
This is not supported!"
echo "It seems like you did not attach the 'nextcloud_aio_mastercontainer' volume to the mastercontainer?
This is not supported since the built-in backup solution will not work in that case!"
exit 1
fi

View File

@@ -13,7 +13,7 @@ elif [ -z "$SIGNALING_SECRET" ]; then
fi
set -x
IPv4_ADDRESS="$(dig nextcloud-aio-talk A +short)"
IPv4_ADDRESS_TALK="$(dig nextcloud-aio-talk A +short)"
set +x
# Turn
@@ -34,7 +34,7 @@ no-tls
no-dtls
userdb=/var/lib/turn/turndb
# Based on https://nextcloud-talk.readthedocs.io/en/latest/TURN/#turn-server-and-internal-networks
allowed-peer-ip=$IPv4_ADDRESS
allowed-peer-ip=$IPv4_ADDRESS_TALK
denied-peer-ip=0.0.0.0-0.255.255.255
denied-peer-ip=10.0.0.0-10.255.255.255
denied-peer-ip=100.64.0.0-100.127.255.255

View File

@@ -203,7 +203,7 @@
"internal_port": "9980",
"environment": [
"aliasgroup1=https://%NC_DOMAIN%:443",
"extra_params=--o:ssl.enable=false --o:ssl.termination=true --o:logging.level=warning --o:home_mode.enable=true %COLLABORA_SECCOMP_POLICY% --o:remote_font_config.url=https://%NC_DOMAIN%/apps/richdocuments/settings/fonts.json",
"extra_params=--o:ssl.enable=false --o:ssl.termination=true --o:mount_jail_tree=false --o:logging.level=warning --o:home_mode.enable=true %COLLABORA_SECCOMP_POLICY% --o:remote_font_config.url=https://%NC_DOMAIN%/apps/richdocuments/settings/fonts.json",
"dictionaries=%COLLABORA_DICTIONARIES%",
"TZ=%TIMEZONE%",
"server_name=%NC_DOMAIN%"

View File

@@ -16,7 +16,7 @@
</header>
<div class="content">
<h1>Nextcloud AIO v4.6.0</h1>
<h1>Nextcloud AIO v4.6.2</h1>
{# Add 2nd tab warning #}
<script type="text/javascript" src="second-tab-warning.js"></script>

View File

@@ -477,10 +477,11 @@ Now you can use `/mnt/storagebox` as Nextcloud's datadir like described in the s
By default, the Nextcloud container is confined and cannot access directories on the host OS. You might want to change this when you are planning to use local external storage in Nextcloud to store some files outside the data directory and can do so by adding the environmental variable `NEXTCLOUD_MOUNT` to the initial startup of the mastercontainer. Allowed values for that variable are strings that start with `/` and are not equal to `/`.
- Two examples for Linux are `-e NEXTCLOUD_MOUNT="/mnt/"` and `-e NEXTCLOUD_MOUNT="/media/"`.
- On macOS it might be `-e NEXTCLOUD_MOUNT="/Volumes/your_drive/"`
- For Synology it may be `-e NEXTCLOUD_MOUNT="/volume1/"`.
- On Windows is this option not supported.
- On Windows it might be `-e NEXTCLOUD_MOUNT="/run/desktop/mnt/host/d/your-folder/"`. (This path is equivalent to `D:\your-folder` on your Windows host so you need to translate the path accordingly. Hint: the path that you enter needs to start with `/run/desktop/mnt/host/`. Append to that the exact location on your windows host, e.g. `d/your-folder/` which is equivalent to `D:\your-folder`.)
After using this option, please make sure to apply the correct permissions to the directories that you want to use in Nextcloud. E.g. `sudo chown -R 33:0 /mnt/your-drive-mountpoint` and `sudo chmod -R 750 /mnt/your-drive-mountpoint` should make it work on Linux when you have used `-e NEXTCLOUD_MOUNT="/mnt/"`.
After using this option, please make sure to apply the correct permissions to the directories that you want to use in Nextcloud. E.g. `sudo chown -R 33:0 /mnt/your-drive-mountpoint` and `sudo chmod -R 750 /mnt/your-drive-mountpoint` should make it work on Linux when you have used `-e NEXTCLOUD_MOUNT="/mnt/"`. On Windows you could do this e.g. with `docker exec -it nextcloud-aio-nextcloud chown -R 33:0 /run/desktop/mnt/host/d/your-folder/` and `docker exec -it nextcloud-aio-nextcloud chmod -R 750 /run/desktop/mnt/host/d/your-folder/`.
You can then navigate to the apps management page, activate the external storage app, navigate to `https://your-nc-domain.com/settings/admin/externalstorages` and add a local external storage directory that will be accessible inside the container at the same place that you've entered. E.g. `/mnt/your-drive-mountpoint` will be mounted to `/mnt/your-drive-mountpoint` inside the container, etc.